/*
 * Author: Kipp Cannon <kipp@gravity.phys.uwm.edu>
 * Revision: $Id: Sequence.m4,v 1.1 2005/01/28 23:38:05 kipp Exp $
 */

#ifndef _SEQUENCE_H
#define _SEQUENCE_H

#include <lal/LALDatatypes.h>



/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyCOMPLEX8Sequence (
	LALStatus *status,
	COMPLEX8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
COMPLEX8Sequence *XLALCreateCOMPLEX8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateCOMPLEX8Sequence (
	LALStatus *status,
	COMPLEX8Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX8Sequence *XLALCutCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutCOMPLEX8Sequence (
	LALStatus *status,
	COMPLEX8Sequence **output,
	COMPLEX8Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX8Sequence *XLALCopyCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyCOMPLEX8Sequence (
	LALStatus *status,
	COMPLEX8Sequence **output,
	COMPLEX8Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftCOMPLEX8Sequence (
	LALStatus *status,
	COMPLEX8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeCOMPLEX8Sequence (
	LALStatus *status,
	COMPLEX8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkCOMPLEX8Sequence (
	LALStatus *status,
	COMPLEX8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyCOMPLEX16Sequence (
	LALStatus *status,
	COMPLEX16Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
COMPLEX16Sequence *XLALCreateCOMPLEX16Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateCOMPLEX16Sequence (
	LALStatus *status,
	COMPLEX16Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX16Sequence *XLALCutCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutCOMPLEX16Sequence (
	LALStatus *status,
	COMPLEX16Sequence **output,
	COMPLEX16Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX16Sequence *XLALCopyCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyCOMPLEX16Sequence (
	LALStatus *status,
	COMPLEX16Sequence **output,
	COMPLEX16Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftCOMPLEX16Sequence (
	LALStatus *status,
	COMPLEX16Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeCOMPLEX16Sequence (
	LALStatus *status,
	COMPLEX16Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkCOMPLEX16Sequence (
	LALStatus *status,
	COMPLEX16Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyREAL4Sequence (
	REAL4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyREAL4Sequence (
	LALStatus *status,
	REAL4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
REAL4Sequence *XLALCreateREAL4Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateREAL4Sequence (
	LALStatus *status,
	REAL4Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL4Sequence *XLALCutREAL4Sequence (
	REAL4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutREAL4Sequence (
	LALStatus *status,
	REAL4Sequence **output,
	REAL4Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL4Sequence *XLALCopyREAL4Sequence (
	REAL4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyREAL4Sequence (
	LALStatus *status,
	REAL4Sequence **output,
	REAL4Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftREAL4Sequence (
	REAL4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftREAL4Sequence (
	LALStatus *status,
	REAL4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeREAL4Sequence (
	REAL4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeREAL4Sequence (
	LALStatus *status,
	REAL4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkREAL4Sequence (
	REAL4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkREAL4Sequence (
	LALStatus *status,
	REAL4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyREAL8Sequence (
	REAL8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyREAL8Sequence (
	LALStatus *status,
	REAL8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
REAL8Sequence *XLALCreateREAL8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateREAL8Sequence (
	LALStatus *status,
	REAL8Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL8Sequence *XLALCutREAL8Sequence (
	REAL8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutREAL8Sequence (
	LALStatus *status,
	REAL8Sequence **output,
	REAL8Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL8Sequence *XLALCopyREAL8Sequence (
	REAL8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyREAL8Sequence (
	LALStatus *status,
	REAL8Sequence **output,
	REAL8Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftREAL8Sequence (
	REAL8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftREAL8Sequence (
	LALStatus *status,
	REAL8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeREAL8Sequence (
	REAL8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeREAL8Sequence (
	LALStatus *status,
	REAL8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkREAL8Sequence (
	REAL8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkREAL8Sequence (
	LALStatus *status,
	REAL8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyINT2Sequence (
	INT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyINT2Sequence (
	LALStatus *status,
	INT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
INT2Sequence *XLALCreateINT2Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateINT2Sequence (
	LALStatus *status,
	INT2Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT2Sequence *XLALCutINT2Sequence (
	INT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutINT2Sequence (
	LALStatus *status,
	INT2Sequence **output,
	INT2Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT2Sequence *XLALCopyINT2Sequence (
	INT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyINT2Sequence (
	LALStatus *status,
	INT2Sequence **output,
	INT2Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftINT2Sequence (
	INT2Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftINT2Sequence (
	LALStatus *status,
	INT2Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeINT2Sequence (
	INT2Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeINT2Sequence (
	LALStatus *status,
	INT2Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkINT2Sequence (
	INT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkINT2Sequence (
	LALStatus *status,
	INT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyINT4Sequence (
	INT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyINT4Sequence (
	LALStatus *status,
	INT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
INT4Sequence *XLALCreateINT4Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateINT4Sequence (
	LALStatus *status,
	INT4Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT4Sequence *XLALCutINT4Sequence (
	INT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutINT4Sequence (
	LALStatus *status,
	INT4Sequence **output,
	INT4Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT4Sequence *XLALCopyINT4Sequence (
	INT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyINT4Sequence (
	LALStatus *status,
	INT4Sequence **output,
	INT4Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftINT4Sequence (
	INT4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftINT4Sequence (
	LALStatus *status,
	INT4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeINT4Sequence (
	INT4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeINT4Sequence (
	LALStatus *status,
	INT4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkINT4Sequence (
	INT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkINT4Sequence (
	LALStatus *status,
	INT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyINT8Sequence (
	INT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyINT8Sequence (
	LALStatus *status,
	INT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
INT8Sequence *XLALCreateINT8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateINT8Sequence (
	LALStatus *status,
	INT8Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT8Sequence *XLALCutINT8Sequence (
	INT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutINT8Sequence (
	LALStatus *status,
	INT8Sequence **output,
	INT8Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT8Sequence *XLALCopyINT8Sequence (
	INT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyINT8Sequence (
	LALStatus *status,
	INT8Sequence **output,
	INT8Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftINT8Sequence (
	INT8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftINT8Sequence (
	LALStatus *status,
	INT8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeINT8Sequence (
	INT8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeINT8Sequence (
	LALStatus *status,
	INT8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkINT8Sequence (
	INT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkINT8Sequence (
	LALStatus *status,
	INT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyUINT2Sequence (
	UINT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyUINT2Sequence (
	LALStatus *status,
	UINT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
UINT2Sequence *XLALCreateUINT2Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateUINT2Sequence (
	LALStatus *status,
	UINT2Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT2Sequence *XLALCutUINT2Sequence (
	UINT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutUINT2Sequence (
	LALStatus *status,
	UINT2Sequence **output,
	UINT2Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT2Sequence *XLALCopyUINT2Sequence (
	UINT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyUINT2Sequence (
	LALStatus *status,
	UINT2Sequence **output,
	UINT2Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftUINT2Sequence (
	UINT2Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftUINT2Sequence (
	LALStatus *status,
	UINT2Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeUINT2Sequence (
	UINT2Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeUINT2Sequence (
	LALStatus *status,
	UINT2Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkUINT2Sequence (
	UINT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkUINT2Sequence (
	LALStatus *status,
	UINT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyUINT4Sequence (
	UINT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyUINT4Sequence (
	LALStatus *status,
	UINT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
UINT4Sequence *XLALCreateUINT4Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateUINT4Sequence (
	LALStatus *status,
	UINT4Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT4Sequence *XLALCutUINT4Sequence (
	UINT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutUINT4Sequence (
	LALStatus *status,
	UINT4Sequence **output,
	UINT4Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT4Sequence *XLALCopyUINT4Sequence (
	UINT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyUINT4Sequence (
	LALStatus *status,
	UINT4Sequence **output,
	UINT4Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftUINT4Sequence (
	UINT4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftUINT4Sequence (
	LALStatus *status,
	UINT4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeUINT4Sequence (
	UINT4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeUINT4Sequence (
	LALStatus *status,
	UINT4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkUINT4Sequence (
	UINT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkUINT4Sequence (
	LALStatus *status,
	UINT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */





/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyUINT8Sequence (
	UINT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceDestroyP">
\idx{LALDestroyUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void LALDestroyUINT8Sequence (
	LALStatus *status,
	UINT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
UINT8Sequence *XLALCreateUINT8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{LALCreateUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
void LALCreateUINT8Sequence (
	LALStatus *status,
	UINT8Sequence **output,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT8Sequence *XLALCutUINT8Sequence (
	UINT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCutUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCutUINT8Sequence (
	LALStatus *status,
	UINT8Sequence **output,
	UINT8Sequence *input,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT8Sequence *XLALCopyUINT8Sequence (
	UINT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{LALCopyUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
void LALCopyUINT8Sequence (
	LALStatus *status,
	UINT8Sequence **output,
	UINT8Sequence *input
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftUINT8Sequence (
	UINT8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{LALShiftUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void LALShiftUINT8Sequence (
	LALStatus *status,
	UINT8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALResizeUINT8Sequence (
	UINT8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALResizeUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALResizeUINT8Sequence (
	LALStatus *status,
	UINT8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
size_t XLALShrinkUINT8Sequence (
	UINT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{LALShrinkUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
void LALShrinkUINT8Sequence (
	LALStatus *status,
	UINT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */



#endif  /* _SEQUENCE_H */
